#!/bin/bash
# Ten skrypt przekodowuje pliki pomiędzy iso8859-cp1250
# Można rozpowszechniać na licencji GNU. 
#
# Ten plik może się przydać do przekodowania 'Wprowadzenia'
# z ISO8859-2 na CP1250
USAGE="Przekodowanie plików TeXowych pomiędzy ISO-8859-2 a CP1250
Pliki winny mieć oznaczenie strony kodowej w postaci 
odpowiedniego wpisu: translate-file=il2-pl lub translate-file=cp1250pl

Sposób wykorzystania: $0 pliki... "

if test $# = 0 ; then echo "$USAGE" ; fi

for i in $*;
do  perl -i.bak -e 'undef $/; $_ = <>;
      if (/translate-file=il2-pl/) { 
        print STDERR "Przekodowanie iso8859 -> cp1250\n";
        # zmienia tylko pierwsze wyst±pienie
        s/translate-file=il2-pl/translate-file=cp1250pl/ ;
        tr/ˇĆĘłŃÓ¦¬Ż±ćęłńó¶Ľż/ĄĆĘłŃÓŚŹŻąćęłńóśźż/ ;
        s/\n/\r\n/gm; # unix2dos
      }
      elsif (/translate-file=cp1250pl/) { 
        print STDERR "Przekodowanie cp1250 -> iso8859\n";
        # zmienia tylko pierwsze wyst±pienie
        s/translate-file=cp1250pl/translate-file=il2-pl/ ;
        tr/ĄĆĘłŃÓŚŹŻąćęłńóśźż/ˇĆĘłŃÓ¦¬Ż±ćęłńó¶Ľż/ ;
        s/\r//g; # dos2unix
      }
      else { print STDERR "Nieustalona strona kodowa *** nic nie robię\n"; }
      print "$_"; ' $i;
done
